启封管理咨询

修身,齐家,治国,平天下
热 线 电 话 400-618-3060

如何升级到MongoDB 3.6

http://online-help.sageerpx3.com/erp/12/wp-content/themes/sage/images/cloud.png

The latest delivered MongoDB version is 3.6. It can be used by every Syracuse release (U9, V11 and V12).

Important: You must be running MongoDB 3.4 to upgrade to MongoDB 3.6.

Sage X3 Syracuse Server is delivered with an embedded MongoDB driver.
Sage also delivers MongoDB setup files with each Sage X3 release.

MongoDB is not upgraded automatically when you upgrade Syracuse.
You need to use the standalone MongoDB setup to upgrade your MongoDB instance.

Prerequisites

For each release, the minimum Syracuse upgrades compatible with MongoDB 3.6 are the following:

Product versionMinimum Sage X3 Syracuse Server version
U9 9.19.0
V11 11.19.0
V12 12.5.0

Upgrade your Sage X3 Syracuse Server

In order to comply with the prerequisites, you have to upgrade your Sage X3 Syracuse Server first.

1 - Stop the Syracuse Agent.

2 - Lauch the Sage X3 Syracuse Server setup (it embeds the new Node.js driver).
Use the Modify installation type.

Upgrade your MongoDB instance

You can upgrade your MongoDB instance to version 3.6 from:

Upgrade from MongoDB 3.2

1 - Stop the Syracuse Agent again. This is mandatory in order not to have any MongoDB client.
Check that you don’t have any node.js nanny, Nx, Wx or B0 running.

2 - Launch the MongoDB 3.4 setup.
Use the Modify installation type.

3 - If the original installation was set only to accept secure connection, pay attention to
The server uses and accepts only SSL encrypted connections option.

4 - Update the MongoDB compatibility version to 3.4, either with the db.adminCommand( { setFeatureCompatibilityVersion: "3.4" } ) MongoDB command or by restarting the Sage X3 Syracuse Server.

5 - Then launch the MongoDB 3.6 setup.
Use the Modify installation type.

6 - Restart your Sage X3 Syracuse Server.

Upgrade from MongoDB 3.4

1 - Stop the Syracuse Agent again. This is mandatory in order not to have any MongoDB client.
Check that you don’t have any node.js nanny, Nx, Wx or B0 running.

2 - Check your compatibility version using the db.adminCommand( { getParameter: 1, featureCompatibilityVersion: 1 } ) MongoDB command. Update the MongoDB compatibility version to 3.4 if necessary, either with the db.adminCommand( { setFeatureCompatibilityVersion: "3.4" } ) MongoDB command or by restarting the Sage X3 Syracuse Server.

3 - Launch the MongoDB 3.6 setup.
Use the Modify installation type.

4 - If the original installation was set only to accept secure connection, pay attention to
The server uses and accepts only SSL encrypted connections option.

5 - Then launch the MongoDB 3.6 setup.
Use the Modify installation type.

6 - Restart your Sage X3 Syracuse Server.

本原创文章未经允许不得转载 | 当前页面:启封管理咨询 » 如何升级到MongoDB 3.6

评论